### Method

# Template Scope set_variant

#### Declaration

    void
    tmpl_scope_set_variant (
      TmplScope* self,
      const gchar* name,
      GVariant* value
    )

#### Description

Sets the value of the symbol named `name` to the variant `value`.

If `value` has a floating reference, it is consumed.

#### Parameters

`name`

  Type: `const gchar*`

  A name for the symbol.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GVariant`

  The variant to set it to, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.